--- libapm-e.man.orig	1998-06-19 03:02:48 UTC
+++ libapm-e.man
@@ -1,80 +1,98 @@
 .\" Written Tue May 12 19:30:00 1998 by ISHIOKA Takashi
 .\" (ishioka@ppp01.infopepper.or.jp )
-.TH libapm l "" "TOSHIBA Libretto only"  ""
+.TH libretto-config 8 "" "TOSHIBA Libretto only"  ""
 .SH NAME
-libapm \- TOSHIBA Libretto BIOS Setup Program
+libretto-config \- TOSHIBA Libretto BIOS Setup Program
 .SH SYNOPSIS
 
-.B libapm
-{\-v,\-\-Version}
-{\-h,\-\-Help}
+.B libretto-config
+{\-v}
+{\-h}
 
-.B libapm
-{\-P,\-\-PowerUp (boot,hibernation)}
-{\-T,\-\-StandbyTime (0,5,10,15,30,45,60)}
-{\-a,\-\-AutoOff (disable,10,20,30,40,50,60)}
-{\-S,\-\-PanelSwitch (disable,enable)}
-{\-A,\-\-PowerOn (disable,<time>)}
-{\-L,\-\-LcdPower (0,1,2,3)}
-{\-V,\-\-Volume (0,1,2,3)}
-{\-O,\-\-Off (suspend|hibernation)}
+.B libretto-config
+{\-P (boot,hibernation)}
+{\-T (0,5,10,15,30,45,60)}
+{\-a (disable,10,20,30,40,50,60)}
+{\-S (disable,enable)}
+{\-A (disable,<time>)}
+{\-L (0,1,2,3)}
+{\-V (0,1,2,3)}
+{\-O (suspend|hibernation)}
 
 .SH DESCRIPTION
-.B libapm
-configures the setting of Toshiba Libretto.
+.B libretto-config
+configures the BIOS settings of a Toshiba Libretto notebook computer.
 Changes are done immediately and rebooting is not neccesary.
 
 .SH OPTIONS
 .TP
-.B \-P,\-\-PowerUp (boot,hibernation)
-sets the Hibernation function.
-If hibernation is specified, the hibernation function is enabled.
-If boot is specified, it is disabled.
+.B \-P (boot,hibernation)
+sets Hibernation mode.
+The ``boot'' argument disables hibernation.
+Hibernation mode writes volatile memory
+to disk at power off.
+Without hibernation,
+the Libretto's power-down actions are destructive;
+there is no saving of machine state.
 .TP 
-.B \-T,\-\-StandbyTime (0,5,10,15,30,45,60)
-sets the Standby time.
-If the Stanby time is specified, the power is not cut after hibernation
-for that time in order to resume quickly from hibernation.
-You can select the time from 0, 5, 10, 15, 30, 45, 60 minutes.
-This function is valid if the hibernation function is enabled.
+.B \-T (0,5,10,15,30,45,60)
+sets a Standby Time.
+If a standby time is specified,
+power is not cut after hibernation
+for the specified time
+to allow a quick resume.
+A time of 0, 5, 10, 15, 30, 45 or 60 minutes
+may be selected.
 .TP
-.B \-a,\-\-AutoOff (disable,10,20,30,40,50,60)
-sets the time to the Auto Power Off.
-You can select the time from disable, 10, 20, 30, 40, 50, 60 minutes.
-This function is valid if the hibernation function is enabled.
+.B \-a (disable,10,20,30,40,50,60)
+sets the time to Auto Power Off.
+A time of 10, 20, 30, 40, 50 or 60 minutes
+may be selected,
+or the word ``disabled'' may be used
+if Auto Power Off is not needed.
 .TP
-.B \-S,\-\-PanelSwitch (disable,enable)
-sets the Panel Switch funtion. If enabled, hibernation is done by 
-closing the panel and vice versa.
-This function is valid if the hibernation function is enabled.
+.B \-S (disable,enable)
+sets the Panel Switch function.
+If enabled,
+hibernation or power-down may be done
+by closing the front panel
+and the machine may be restarted
+by opening it.
 .TP
-.B \-A,\-\-PowerOn (disable,<time>)
-sets the Power On timer.
-The format of the <time> is hh:mm. If time is specified, power is 
-automatically turned on at the time. 
+.B \-A (disable,<time>)
+sets the Power On Timer.
+If <time> is specified,
+power is automatically turned on
+at that time. 
+The format of the <time> is hh:mm,
+and a value of ``disable''
+turns off the power on timer.
 .TP
-.B \-L,\-\-LcdPower (0,1,2,3)
-sets the brightness of the LCD.
-0 is the darkest and 3 is the brightest.
+.B \-L (0,1,2,3)
+sets the brightness of the display LCD.
+0 is the dimmest and 3 is the brightest.
 .TP
-.B \-V,\-\-Volume (0,1,2,3)
-sets the volume of beep sound.
-0 is off, 1 is minimum and 3 is maximum.
+.B \-V (0,1,2,3)
+sets the volume of keyboard bell (system speaker).
+0 is off, 1 is quietest and 3 is loudest.
 .TP
-.B \-O,\-\-Off (suspend|hibernation)
-sets the suspend/hibernation mode. (100CT Only)
+.B \-O (suspend|hibernation)
+sets the suspend/hibernation mode. (100CT/110CT Only)
 .TP
-.B \-v,\-\-Version 
+.B \-v
 displays the version of this program.
 .TP
-.B \-h,\-\-Help 
-displays the simple usage.
+.B \-h
+displays a simple usage message.
+
+.SH NOTES
+This program has no warranty at all.
+It may or may not contain bugs.
 
 .SH BUGS
-Completely no warranty. It may or may not contain any bugs.
-Operation on the machines but Toshiba Libretto is uncertain.
-A part of function might work on Toshiba's other notebook machines.
-You must have root privilege to run this program.
+Operation on any machines except Toshiba Libretto is unknown.
+Operation on other Toshiba notebook computer is uncertain.
+Superuser privelige is required to use this program.
 
 .SH AUTHORS
 .TP
